Subject: Re: [PATCH] softmac: remove netif_tx_disable when scanning

From: Daniel Drake <[email-masked]>
Date: Sat, 25 Nov 2006 23:05:07 -0500

Larry Finger wrote:
> In the scan section of ieee80211softmac, network transmits are disabled.
> Clearly, this does not make any sense as transmit is necessary for active
> scanning, and transmits are not used when passive scanning.

Probe request frames are generated by softmac and do not go through the 
TX queue. Disabling the TX queue has no effect on that.

Surely disabling the queue actually makes sense, in order to avoid 
frames designated for the "current session" being transmitted on 
different channels during scanning?

Daniel